Need support for Realtek Wifi card rtl8723be [10ec:b723]

Bug #1240940 reported by Anthony Wong on 2013-10-17
314
This bug affects 57 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Adam Lee
Trusty
High
Adam Lee
linux (Ubuntu)
Medium
Adam Lee
Trusty
Medium
Marcus

Bug Description

This device is appearing in some OEM machines, but driver is not yet available upstream.

This bug is only for the initial support of this WiFi adapter, it's not working 100% well yet, please report new "not working bug" or contact upstream but not keep posting comments, thanks.

tags: added: blocks-hwcert-enablement

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1240940

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
summary: - Need support for Realtek Wifi card [10ec:b723]
+ Need support for Realtek Wifi card rtl8723be [10ec:b723]
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
braykov (braykov) wrote :

This device is on Lenovo Thinkpad S540.
It is not recognised by Ubuntu 13.10 and 14.04.
There are some drivers on github but after working some time, the connection drops and I have to restart.
Also my dmesg is full of rtl messages.

Stanko Metodiev (metodiew) wrote :

I have similar issues with Ubuntu 13.04 on Lenovo ThinkPad E540.
The driver from GitHub works, but after some time the connection just dropps and I have to reboot. After rebooting the connection is ok until next drop.

Stanko Metodiev (metodiew) wrote :

I couldn't find the edit option for my comment, so here is a solution for lost Internet connection problem:
sudo modprobe -r rtl8723be
sudo modprobe rtl8723be

This helped me and now I don't have to reboot the machine after Internet drops.

Roland S. (kaiser-ger) wrote :

This device is on Lenovo B5400 too. No support yet in 13.10 and 14.04.

TommyFro (thomas-fromherz) wrote :

I have all the problems discussed above with the Realtek Wifi card rtl8723be on a Medion AKOYA E6240, 64 Bit, running under 13.10.

Roland S. (kaiser-ger) wrote :

Could somebody backport the driver to Trusty please?

http://marc.info/?l=linux-netdev&m=139308947816113

Adam Lee (adam8157) wrote :

@Roland

Thanks for that info, that patchset is in wireless-next, not sufficient yet, will keep an eye on it.

no longer affects: hwe-next/saucy
Adam Lee (adam8157) on 2014-03-17
Changed in linux (Ubuntu):
assignee: nobody → Adam Lee (adam8157)
Kun Akos (kunaakos) wrote :

I have a ThinkPad Edge e540, same problems with 13.10 using the driver from gh. Reloading the module works, but not for long.
Seems like a lot of newer Lenovo laptops have this wireless adapter, I couldn't order mine with a different one in my country.

Adam Lee (adam8157) wrote :

Note: wireless-next branch(not sufficient for backporting), a619d1abe20cc892ddd8f6f60345b24d43971fb4.

commit a619d1abe20cc892ddd8f6f60345b24d43971fb4
Author: Larry Finger <email address hidden>
Date: Fri Feb 28 15:16:50 2014 -0600

    rtlwifi: rtl8723be: Add new driver

    Signed-off-by: Larry Finger <email address hidden>
    Signed-off-by: John W. Linville <email address hidden>

Adam Lee (adam8157) wrote :

it's in Linus tree now, start backporting.

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Adam Lee (adam8157) wrote :

Pull request sent to <email address hidden>

git://kernel.ubuntu.com/adamlee/ubuntu-trusty.git rtl8723be

Tim Gardner (timg-tpi) on 2014-04-10
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Michal (michal.post) wrote :

I have lenovo B5400 with RTL8723BE PCIe Wireless Network Adapter.
I tried kernel 3.13.0-25.47 from PPA. It has rtl8723be module, but I was not able to connect at all.

I am using back 3.13.0-24-generic kernel and with rtl8723be from https://github.com/lwfinger/rtl8723be.git @ 604aa90 commit.

The bottom line is that committed fix does not work for me.

information type: Public → Public Security
information type: Public Security → Public
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty

Not working for me, might be doing something wrong.
Am i missing something?

[ 12.764872] rtl8723be: Using firmware rtlwifi/rtl8723befw.bin
[ 12.764941] rtl8723be 0000:04:00.0: irq 47 for MSI/MSI-X
[ 12.879239] rtl8723be 0000:04:00.0: Direct firmware load failed with error -2
[ 12.879242] rtl8723be 0000:04:00.0: Falling back to user helper
[ 12.880179] rtlwifi: Firmware rtlwifi/rtl8723befw.bin not available

peter@peter-B5400:~$ modinfo rtl8723be
filename: /lib/modules/3.13.0-26-generic/kernel/drivers/net/wireless/rtlwifi/rtl8723be/rtl8723be.ko
firmware: rtlwifi/rtl8723befw.bin
description: Realtek 8723BE 802.11n PCI wireless
license: GPL
author: Realtek WlanFAE <email address hidden>
author: PageHe <email address hidden>
srcversion: B4AEA7435E87596435F3F22
alias: pci:v000010ECd0000B723sv*sd*bc*sc*i*
depends: rtlwifi,rtl8723-common,rtl_pci,btcoexist,mac80211
intree: Y
vermagic: 3.13.0-26-generic SMP mod_unload modversions
signer: Magrathea: Glacier signing key
sig_key: F1:75:03:0A:9B:89:94:37:80:92:F9:A2:BB:47:5D:33:B0:41:FD:B3
sig_hashalgo: sha512
parm: swlps:bool
parm: swenc:using hardware crypto (default 0 [hardware])
 (bool)
parm: ips:using no link power save (default 1 is open)
 (bool)
parm: fwlps:using linked fw control power save (default 1 is open)
 (bool)
parm: debug:Set debug level (0-5) (default 0) (int)

peter@peter-B5400:~$ uname -a
Linux peter-B5400 3.13.0-26-generic #48-Ubuntu SMP Wed May 7 23:31:02 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Adam Lee (adam8157) wrote :

@Peter

[ 12.880179] rtlwifi: Firmware rtlwifi/rtl8723befw.bin not available

firmware attached, please copy the rtl8723befw.bin to /lib/firmware/rtlwifi/ and try, thanks.

@Adam

Thanks that helped.

I am able to connect to my router but unable to use the connection for anything.
looks like i get disconnected all the time.

Tested my laptop with an old USB wifi stick and that works fine and hold the connection.

Adam Lee (adam8157) wrote :

@Stanko, that is not supported by us, please file an issue on GitHub for that out-of-tree driver.

Adam Lee (adam8157) wrote :

@Peter, could you please try this very kernel with the firmware I gave you and feedback?

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.15-rc5-utopic/

If it works, please boot the -proposed 3.13.0-26 kernel then check again. Thanks.

@Adam , Same probem as before not getting a usefull connection. (im on a Lenovo B5400)

peter@peter-B5400:~$ cat /proc/version
Linux version 3.15.0-031500rc5-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201405091635 SMP Fri May 9 20:36:31 UTC 2014

peter@peter-B5400:~$ uname -a
Linux peter-B5400 3.15.0-031500rc5-generic #201405091635 SMP Fri May 9 20:36:31 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
peter@peter-B5400:~$

Adam Lee (adam8157) wrote :

@Peter, then your issue is a upstream bug, I will forward it to RealTek maintainers, thanks.

Stanko Metodiev (metodiew) wrote :

I finally managed to install the driver with 3.15-rc5-utopic kernel version and the rtl8723befw.bin Firmware, but the internet connection is still dropping me and enable/disable rtl8723be modprobe doesn't help.
Is there anyone else with the same issue?

Lenovo ThinkPad E540
Ubuntu 14.04
uname -a:
Linux metodiew 3.15.0-031500rc5-generic #201405091635 SMP Fri May 9 20:36:31 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

braykov (braykov) wrote :

Hi,
I've had this problem since november 2013 when I bought the laptop.
With Ubuntu 13.10 at least modprobe and modprobe -r used to work.
With Ubuntu 14.04 the connection drops even more often and only restart helps (most of the times).
All drivers I found origin from the released by RealTek. They seem to have a bug which no one still cannot find and fix.

Lenovo ThinkPad S540
Ubuntu 14.04

Adam Lee (adam8157) wrote :

Tested on ThinkPad E540, it does drop connection, fortunately there is a solution, please check this bug:

https://bugs.launchpad.net/bugs/1320070

Adam Lee (adam8157) wrote :

tested 3.13.0-27.49 in -proposed, works but has the issue on #26 with some certain systems.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :
Download full text (11.0 KiB)

This bug was fixed in the package linux - 3.13.0-27.50

---------------
linux (3.13.0-27.50) trusty; urgency=low

  [ Brad Figg ]

  * Revert "rtlwifi: Set the link state"

linux (3.13.0-27.49) trusty; urgency=low

  [ Brad Figg ]

  * Revert "SAUCE: (no-up) HID: rmi: do not stop the device at the end of
    probe"
  * Revert "SAUCE: (no-up) HID: rmi: introduce RMI driver for Synaptics
    touchpads"
  * Revert "[Config] CONFIG_HID_RMI=m"

linux (3.13.0-26.48) trusty; urgency=low

  [ Benjamin Tissoires ]

  * SAUCE: (no-up) HID: rmi: introduce RMI driver for Synaptics touchpads
    - LP: #1305522
  * SAUCE: (no-up) HID: rmi: do not stop the device at the end of probe
    - LP: #1305522

  [ Kamal Mostafa ]

  * Merged back Ubuntu-3.13.0-24.47 security release
  * Revert "n_tty: Fix n_tty_write crash when echoing in raw mode"
    - LP: #1314762
  * Release Tracking Bug
    - LP: #1316835

  [ Tim Gardner ]

  * [Config] CONFIG_HID_RMI=m
    - LP: #1305522
  * [Config] CONFIG_CRYPTO_DEV_NX=n for ppc64el
    - LP: #1314625
  * [Config] CONFIG_ZSWAP=y
    - LP: #1315203
  * Add rpcsec_gss_krb5 to generic inclusion list
    - LP: #769527

  [ Upstream Kernel Changes ]

  * HID: hidraw: make comment more accurate and nicer
    - LP: #1305522
  * HID: remove hid_get_raw_report in struct hid_device
    - LP: #1305522
  * HID: i2c-hid: implement ll_driver transport-layer callbacks
    - LP: #1305522
  * HID: add inliners for ll_driver transport-layer callbacks
    - LP: #1305522
  * HID: Add transport-driver callbacks to the hid_ll_driver struct
    - LP: #1305522
  * drm/nouveau: fail runtime pm properly.
    - LP: #1313986
  * drm/nouveau: don't suspend/resume display on runtime s/r
    - LP: #1313986
  * n_tty: Fix n_tty_write crash when echoing in raw mode
    - LP: #1314762
    - CVE-2014-0196
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input
    - LP: #1316729
    - CVE-2014-1737
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    - LP: #1316735
    - CVE-2014-1738

linux (3.13.0-25.47) trusty; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1313868

  [ Adam Lee ]

  * [Config] CONFIG_RTL8723BE=m, CONFIG_RTL8723_COMMON=m
    - LP: #1240940

  [ Alex Hung ]

  * SAUCE: (no-up) dell-led: add mic mute led interface
    - LP: #1308297

  [ Andy Whitcroft ]

  * SAUCE: (no-up) powerpc: Increase COMMAND_LINE_SIZE to 2048 from 512.
    - LP: #1306677

  [ Ben Collins ]

  * [Config] Disable PAMU on Freescale kernels
    - LP: #1311738

  [ Tim Gardner ]

  * Revert "SAUCE: x86, hyperv: bypass the timer_irq_works() check"
    - LP: #1311683
  * SAUCE: (no-up) ALSA: usb-audio: Suppress repetitive debug messages from
    retire_playback_urb()
    - LP: #1305133
  * SAUCE: (no-up) 'BUG:' message unnecessarily triggers kerneloops
    - LP: #1305480
  * [Config] CONFIG_POWERNV_CPUFREQ=m
    - LP: #1309576
  * [Config] CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND=y for ppc64el
    - LP: #1309576
  * [Config] CONFIG_TRANSPARENT_HUGEPAGE=n for arm64
    - LP: #1309221
  * [Config] CONFIG_MEMCG_KMEM=y
    - LP: #1309586
  * [Config] CONFIG_CRASH_DUMP=y for ppc64el
    - LP: #1312783

  [ Upstream Kernel Change...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Adam Lee (adam8157) on 2014-05-26
Changed in hwe-next:
status: Confirmed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in hwe-next:
assignee: nobody → Adam Lee (adam8157)
Loki (niceloki) wrote :

After install upgrades with new kernel i have this error in dmesg and wifi still not work.

My notebook is Lenovo B5400

$ dmesg | grep rtl
[ 10.753070] rtl8723be: Using firmware rtlwifi/rtl8723befw.bin
[ 10.753150] rtl8723be 0000:04:00.0: irq 47 for MSI/MSI-X
[ 11.135041] rtl8723be 0000:04:00.0: Direct firmware load failed with error -2
[ 11.135044] rtl8723be 0000:04:00.0: Falling back to user helper
[ 11.179233] rtlwifi: Firmware rtlwifi/rtl8723befw.bin not available

$ modinfo rlt8723be
modinfo: ERROR: Module rlt8723be not found.
loki@tp-lenovo-b5400-ubuntu:~$ modinfo rtl8723be
filename: /lib/modules/3.13.0-27-generic/kernel/drivers/net/wireless/rtlwifi/rtl8723be/rtl8723be.ko
firmware: rtlwifi/rtl8723befw.bin
description: Realtek 8723BE 802.11n PCI wireless
license: GPL
author: Realtek WlanFAE <email address hidden>
author: PageHe <email address hidden>
srcversion: B4AEA7435E87596435F3F22
alias: pci:v000010ECd0000B723sv*sd*bc*sc*i*
depends: rtlwifi,rtl8723-common,rtl_pci,btcoexist,mac80211
intree: Y
vermagic: 3.13.0-27-generic SMP mod_unload modversions
signer: Magrathea: Glacier signing key
sig_key: 23:98:4A:C2:03:78:43:25:CC:F7:B9:5B:51:F6:C1:19:38:0E:B9:33
sig_hashalgo: sha512
parm: swlps:bool
parm: swenc:using hardware crypto (default 0 [hardware])
 (bool)
parm: ips:using no link power save (default 1 is open)
 (bool)
parm: fwlps:using linked fw control power save (default 1 is open)
 (bool)
parm: debug:Set debug level (0-5) (default 0) (int)

$ uname -a
Linux tp-lenovo-b5400-ubuntu 3.13.0-27-generic #50-Ubuntu SMP Thu May 15 18:06:16 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Also tried:
$ sudo modprobe rtl8723be
it did not help

Adam Lee (adam8157) wrote :

For @Loki and others meeting firmware issue, check #17.

linux-firmware upstream has not seen any new development activity for two months, I'm pushing.

Loki (niceloki) wrote :

I copied the specified firmware. Restart the computer.
Successfully connected to wifi, but then nothing works.

Maximum that was possible - it will connect via ssh to my local server for a while - then the connection broken.

$ dmesg | grep rtl
[ 15.476334] Modules linked in: snd_hda_intel(+) rtl8723be(+) lpc_ich(+) snd_hda_codec btcoexist rtl8723_common rtl_pci btusb(+) rtlwifi bluetooth snd_hwdep mac80211 i915(+) snd_pcm cfg80211 nvidia(POF) drm_kms_helper mei_me mei snd_page_alloc drm i2c_algo_bit wmi thinkpad_acpi(+) nvram snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer snd soundcore video mac_hid parport_pc ppdev lp parport hid_generic hid_a4tech usbhid hid psmouse ahci r8169 libahci mii
[ 15.521953] rtl8723be: Using firmware rtlwifi/rtl8723befw.bin
[ 15.522027] rtl8723be 0000:04:00.0: irq 47 for MSI/MSI-X
[ 16.025741] ieee80211 phy0: Selected rate control algorithm 'rtl_rc'
[ 16.025896] rtlwifi: wireless switch is on

Adam Lee (adam8157) wrote :

@Loki, current driver works not well with some certain systems, will fix it by next kernel, check https://bugs.launchpad.net/bugs/1320070

madpentiste (antoine-messiah) wrote :

I have tried the following on several kernels (under 12.04 and 14.04) and so far it has worked well :

sudo apt-get install linux-headers-generic build-essential git
    # needed only if you don't have yet that package
git clone http://github.com/lwfinger/rtl8723be
    # needed only if you don't have yet downloaded rtl8723be

cd rtl8723be
git checkout 604aa9058fb9e5bb1cf571c99989d081f8fc8b9
make clean
make
sudo make install
sudo modprobe rtl8723be
echo "options rtl8723be fwlps=0" | sudo tee /etc/modprobe.d/rtl8723be.conf

Links :

http://ubuntuforums.org/showthread.php?t=2205497 (post 9 dated 17 feb 2014)
http://doc.ubuntu-fr.org/clevo_w310cz#realtek_rtl8723be

Julia Buchner (julia-3) wrote :

I have followed comments of this bugs and try to configure wifi on my laptop, a Lenovo Yoga 2 13(non pro). I did #33 then #17 manipulations.
Unfortunately, I still have in Network Manager the sentence "Wi-Fi is disabled by hardware switch".

Here is more information about my config :

julia@yoda:~$ uname -a
Linux yoda 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

julia@yoda:~$ modinfo rtl8723be
filename: /lib/modules/3.13.0-29-generic/kernel/drivers/net/wireless/rtlwifi/rtl8723be/rtl8723be.ko
firmware: rtlwifi/rtl8723befw.bin
description: Realtek 8723BE 802.11n PCI wireless
license: GPL
author: Realtek WlanFAE <email address hidden>
author: PageHe <email address hidden>
srcversion: EB08EA82D0846E3925AFAB6
alias: pci:v000010ECd0000B723sv*sd*bc*sc*i*
depends: rtlwifi,btcoexist,mac80211
vermagic: 3.13.0-29-generic SMP mod_unload modversions
parm: swlps:bool
parm: swenc:using hardware crypto (default 0 [hardware])
 (bool)
parm: ips:using no link power save (default 1 is open)
 (bool)
parm: fwlps:using linked fw control power save (default 1 is open)
 (bool)

julia@yoda:~$ dmesg | grep rtl
[ 9.489855] rtlwifi: module verification failed: signature and/or required key missing - tainting kernel
[ 9.551003] rtlwifi-0:rtl_pci_probe():<0-0> mem mapped space: start: 0xb0400000 len:00004000 flags:00140204, after map:0xffffc90010e80000
[ 9.551020] rtlwifi-0:_rtl_pci_find_adapter():<0-0> Pci Bridge Vendor is found index: 0
[ 9.551023] rtlwifi-0:_rtl_pci_find_adapter():<0-0> pcidev busnumber:devnumber:funcnumber:vendor:link_ctl 1:0:0:10ec:0
[ 9.551026] rtlwifi-0:_rtl_pci_find_adapter():<0-0> pci_bridge busnumber:devnumber:funcnumber:vendor:pcie_cap:link_ctl_reg:amd 0:28:0:8086:40:40:0
[ 9.600836] rtl8723be-0:rtl8723be_read_eeprom_info():<0-0> Boot from EFUSE
[ 9.614765] rtl8723be:
[ 9.614959] rtl8723be-0:_rtl8723be_read_adapter_info():<0-0> dev_addr: 9c:d2:1e:58:04:3f
[ 9.614964] rtl8723be-0:_rtl8723be_hal_customized_behavior():<0-0> RT Customized ID: 0x00
[ 9.811663] btcoexist-0:rtl_btc_init_hal_vars():<0-0> rtl_btc_init_hal_vars, antNum is 2
[ 9.811664] btcoexist-0:rtl_btc_init_hal_vars():<0-0> rtl_btc_init_hal_vars, bt_exist is 1
[ 9.811665] btcoexist-0:rtl_btc_init_hal_vars():<0-0> rtl_btc_init_hal_vars, bt_type is 8
[ 9.811822] rtlwifi-0:_rtl_init_hw_ht_capab():<0-0> 1T1R
[ 9.905617] ieee80211 phy0: Selected rate control algorithm 'rtl_rc'
[ 9.905844] rtl8723be-0:rtl8723be_gpio_radio_on_off_checking():<0-0> GPIOChangeRF - HW Radio OFF, RF OFF
[ 9.905845] rtlwifi: wireless switch is on
[ 9.905875] rtl8723be 0000:01:00.0: irq 61 for MSI/MSI-X
[ 9.905908] rtlwifi-0:rtl_pci_intr_mode_msi():<0-0> MSI Interrupt Mode!

julia@yoda:~$ sudo rfkill list
2: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

Did I missed something to do ?
Thanks in advance for your help.

Adam Lee (adam8157) wrote :

Tips for RTL8188EE [10ec:8179] and RTL8723BE [10ec:b723] users: those hardware modules have MSI compatibility issue, on some certain platforms they work fine with MSI but break connections without MSI, on some other certain platforms it's opposite. You could try to toggle its module parameter "msi"

Shyju-q (shyju-q) wrote :

I facing Kernal panic Error after installation. Ubuntu LTS

root@oodo-B5400:/home/oodo# uname -a
Linux oodo-B5400 3.13.0-30-generic #54-Ubuntu SMP Mon Jun 9 22:45:01 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

root@oodo-B5400:/home/oodo# dmesg | grep rtl
[ 10.555130] rtlwifi: module verification failed: signature and/or required key missing - tainting kernel
[ 10.774730] rtlwifi-0:rtl_pci_probe():<0-0> mem mapped space: start: 0xf0100000 len:00004000 flags:00140204, after map:0xffffc90004780000
[ 10.774747] rtlwifi-0:_rtl_pci_find_adapter():<0-0> Pci Bridge Vendor is found index: 0
[ 10.774749] rtlwifi-0:_rtl_pci_find_adapter():<0-0> pcidev busnumber:devnumber:funcnumber:vendor:link_ctl 4:0:0:10ec:0
[ 10.774751] rtlwifi-0:_rtl_pci_find_adapter():<0-0> pci_bridge busnumber:devnumber:funcnumber:vendor:pcie_cap:link_ctl_reg:amd 0:28:2:8086:40:43:0
[ 10.781932] rtl8723be-0:rtl8723be_read_eeprom_info():<0-0> Boot from EFUSE
[ 10.797449] rtl8723be:
[ 10.797545] rtl8723be-0:_rtl8723be_read_adapter_info():<0-0> dev_addr: 80:56:f2:b1:83:cd
[ 10.797550] rtl8723be-0:_rtl8723be_hal_customized_behavior():<0-0> RT Customized ID: 0x00
[ 11.008051] rtl8723be 0000:04:00.0: Direct firmware load failed with error -2
[ 11.008052] rtl8723be 0000:04:00.0: Falling back to user helper
[ 11.008430] rtl8723be-0:rtl8723be_init_sw_vars():<0-0> Failed to request firmware!
[ 11.008432] rtlwifi-0:rtl_pci_probe():<0-0> Can't init_sw_vars.

BogdanM (bogdan-mizerski) wrote :

After the last upgrade of kernel WiFi card works without problems.

Currently, it's working fine on my Lenovo B5400 under Ubuntu 14.04 x86_64 (kernel 3.13.0-30) and configured in /etc/modprobe.d/rtl8723be.conf with parameters

options rtl8723be fwlps=0 swlps=0

Roland S. (kaiser-ger) wrote :

The fix activates WLAN for my Lenovo B5400 just through the usual updates. Thanks!

Sergio Castillo (s-cast-lara) wrote :

I have a Lenovo B5400. With kernel 3.13.0-30 wifi drops from time to time. I installed the kernel 3.15 but it was worse as I wasn't able to connect at all.

Is there something I can do?

@Sergio, have you tried these parameters?

# echo "options rtl8723be fwlps=0 swlps=0" > /etc/modprobe.d/rtl8723be.conf
# reboot

Hi,
I have tried the same as Sergio and have the same result.
Latest 3.13.0.31 kernel does not fix it.
I also have the options mentioned.
The best I managed is with kernel 3.14 and the driver from github, and
still from time to time the network stops and asks me for a password. If I
enter it, most of the times the network reconnects.
I tried with latest 3.15, but I cannot even compile the driver there. I
expected that 3.15 would already have the driver in it, but alas...
On Jul 13, 2014 1:35 PM, "JuanFra Rodriguez Cardoso" <
<email address hidden>> wrote:

> @Sergio, have you tried these parameters?
>
> # echo "options rtl8723be fwlps=0 swlps=0" > /etc/modprobe.d/rtl8723be.conf
> # reboot
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1240940
>
> Title:
> Need support for Realtek Wifi card rtl8723be [10ec:b723]
>
> Status in HWE Next Project:
> Fix Released
> Status in HWE Next trusty series:
> Fix Released
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Trusty:
> Fix Released
>
> Bug description:
> This device is appearing in some OEM machines, but driver is not yet
> available upstream.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1240940/+subscriptions
>

Weird... I have a Lenovo B5400 with kernel 3.13.0-30 and after my connection was dropped during intervals, I set up the options aforementioned and the wifi connection works stable.

gounini (gounini) wrote :

Hi,
Same problem for me. It works good at my home (there is not much devices connected) but here I'm in an hotel room for few weeks, there are a lot of devices on the AP and the connection doesn't work. Sometimes it works late in the night when everyone is sleeping.

Every time I see the same things :
[ 46.975771] wlan1: authenticate with 00:3a:99:4c:3b:50
[ 46.995592] wlan1: send auth to 00:3a:99:4c:3b:50 (try 1/3)
[ 46.997235] wlan1: authenticated
[ 46.999360] wlan1: associate with 00:3a:99:4c:3b:50 (try 1/3)
[ 47.003040] wlan1: RX AssocResp from 00:3a:99:4c:3b:50 (capab=0x421 status=0 aid=3)
[ 47.003104] wlan1: associated
[ 53.181023] wlan1: deauthenticating from 00:3a:99:4c:3b:50 by local choice (reason=3)

uname -r
3.13.0-32-generic

modinfo rtl8723be
filename: /lib/modules/3.13.0-32-generic/kernel/drivers/net/wireless/rtlwifi/rtl8723be/rtl8723be.ko
firmware: rtlwifi/rtl8723befw.bin
description: Realtek 8723BE 802.11n PCI wireless
license: GPL
author: Realtek WlanFAE <email address hidden>
author: PageHe <email address hidden>
srcversion: 0D59E0301AAA6E5A93400BB
alias: pci:v000010ECd0000B723sv*sd*bc*sc*i*
depends: rtlwifi,rtl8723-common,rtl_pci,btcoexist,mac80211
intree: Y
vermagic: 3.13.0-32-generic SMP mod_unload modversions
signer: Magrathea: Glacier signing key
sig_key: 5E:3C:0F:9C:A6:E3:65:43:53:5F:A2:BB:5B:70:9E:84:F1:6D:A7:C7
sig_hashalgo: sha512
parm: swlps:bool
parm: swenc:using hardware crypto (default 0 [hardware])
 (bool)
parm: ips:using no link power save (default 1 is open)
 (bool)
parm: fwlps:using linked fw control power save (default 1 is open)
 (bool)
parm: msi:Set to 1 to use MSI interrupts mode (default 0)
 (bool)
parm: debug:Set debug level (0-5) (default 0) (int)

cat /etc/modprobe.d/rtl8723be.conf
options rtl8723be fwlps=0 swlps=0

gounini (gounini) wrote :

I can give more infos if you need, just ask.

Jerelyn Co (jerelynco) wrote :

I have the same problem with my Lenovo G50-70. I tried #33 but I often get slow or completely no connection. I am currently using 3.13.0-24-generic. I'm quite new in Xubuntu, help me please.

Archie B (not-really-archie) wrote :

Clevo W230ST with 14.04

Used attached firmware from #17 and got connectivity that frequently dropped.

Tried fix in #38 and so far Wifi seems stable.

Sayantan Das (sayantan13) wrote :
Download full text (3.7 KiB)

Hi, I am using UBuntu 14.04.1 LTS with kernel 3.13.0-32. It comes with the Realtek wifi driver . I could run wifi from the live cd image. However connection used to drop after sometime . Going through this bug report I tried the Fix on #38. It stops the connection drop but there is constant slowing down of connection. If I disconnect and reconnect the wifi connection from NM applet, connection comes back. See the ping report attached.
uname -a
Linux flex2 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

lspci | grep -i wireless
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter

cat /etc/modprobe.d/rtl8723be.conf
options rtl8723be fwlps=0

flex2:~$ modinfo rtl8723be
filename: /lib/modules/3.13.0-32-generic/kernel/drivers/net/wireless/rtlwifi/rtl8723be/rtl8723be.ko
firmware: rtlwifi/rtl8723befw.bin
description: Realtek 8723BE 802.11n PCI wireless
license: GPL
author: Realtek WlanFAE <email address hidden>
author: PageHe <email address hidden>
srcversion: 0D59E0301AAA6E5A93400BB
alias: pci:v000010ECd0000B723sv*sd*bc*sc*i*
depends: rtlwifi,rtl8723-common,rtl_pci,btcoexist,mac80211
intree: Y
vermagic: 3.13.0-32-generic SMP mod_unload modversions
signer: Magrathea: Glacier signing key
sig_key: 5E:3C:0F:9C:A6:E3:65:43:53:5F:A2:BB:5B:70:9E:84:F1:6D:A7:C7
sig_hashalgo: sha512
parm: swlps:bool
parm: swenc:using hardware crypto (default 0 [hardware])
 (bool)
parm: ips:using no link power save (default 1 is open)
 (bool)
parm: fwlps:using linked fw control power save (default 1 is open)
 (bool)
parm: msi:Set to 1 to use MSI interrupts mode (default 0)
 (bool)
parm: debug:Set debug level (0-5) (default 0) (int)
?field.comment=Hi, I am using UBuntu 14.04.1 LTS with kernel 3.13.0-32. It comes with the Realtek wifi driver . I could run wifi from the live cd image. However connection used to drop after sometime . Going through this bug report I tried the Fix on #38. It stops the connection drop but there is constant slowing down of connection. If I disconnect and reconnect the wifi connection from NM applet, connection comes back. See the ping report attached.
uname -a
Linux flex2 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

lspci | grep -i wireless
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter

cat /etc/modprobe.d/rtl8723be.conf
options rtl8723be fwlps=0

flex2:~$ modinfo rtl8723be
filename: /lib/modules/3.13.0-32-generic/kernel/drivers/net/wireless/rtlwifi/rtl8723be/rtl8723be.ko
firmware: rtlwifi/rtl8723befw.bin
description: Realtek 8723BE 802.11n PCI wireless
license: GPL
author: Realtek WlanFAE <email address hidden>
author: PageHe <email address hidden>
srcversion: 0D59E0301AAA6E5A93400BB
alias: pci:v000010ECd0000B723sv*sd*bc*sc*i*
depends: rtlwifi,rtl8723-common,rtl_pci,btcoexist,mac80211
intree: Y
vermagic: 3.13.0-32-generic S...

Read more...

kozak127 (kozak127) wrote :

Driver drops connection, because code for power saving mode can't wake up the device on lenovo B5400. So, couple months ago, I partially commented out code that is responsible for putting WiFi card to sleep.

It works almost flawlessly on kernel 3.13-24-generic. It also worked on kernel 3.11. It is not perfect, but it is pretty usable. Just type: make, sudo make install, sudo modprobe rtl8723be

https://github.com/kozak127/rtl8723be

Sayantan Das (sayantan13) wrote :
Download full text (3.4 KiB)

@kozak127

I get a kernel panic on the latest 3.13.0-32 kernel after compiling your code

Aug 10 02:02:15 flex2 kernel: [ 3.467272] ------------[ cut here ]------------
Aug 10 02:02:15 flex2 kernel: [ 3.468391] WARNING: CPU: 0 PID: 75 at /var/lib/dkms/i915-3.15-3.13/0.01/build/drivers/gpu/drm/i915/intel_pm.c:5715 i915_request_po
wer_well+0x39/0x40 [i915]()
Aug 10 02:02:15 flex2 kernel: [ 3.469372] Modules linked in: x86_pkg_temp_thermal(+) intel_powerclamp coretemp snd_hda_intel(+) snd_hda_codec kvm_intel ip6table_
filter kvm snd_hwdep ip6_tables snd_pcm nf_conntrack_netbios_ns nf_conntrack_broadcast nf_nat_ftp nf_nat crct10dif_pclmul nf_conntrack_ftp crc32_pclmul snd_page_all
oc nf_conntrack ghash_clmulni_intel iptable_filter snd_seq_midi aesni_intel snd_seq_midi_event ip_tables cfg80211 aes_x86_64 x_tables snd_rawmidi lrw gf128mul glue_
helper snd_seq ablk_helper cryptd i915(OF) snd_seq_device snd_timer snd joydev drm_kms_helper(OF) serio_raw drm(OF) soundcore wmi mei_me ideapad_laptop i2c_algo_bit
 mei sparse_keymap lpc_ich mac_hid video psmouse ahci r8169 libahci mii
Aug 10 02:02:15 flex2 kernel: [ 3.474794] CPU: 0 PID: 75 Comm: kworker/0:1 Tainted: GF O 3.13.0-32-generic #57-Ubuntu
Aug 10 02:02:15 flex2 kernel: [ 3.476444] Hardware name: LENOVO 20404/Lenovo Flex 2-14, BIOS A0CN21WW 03/21/2014
Aug 10 02:02:15 flex2 kernel: [ 3.478441] Workqueue: events azx_probe_work [snd_hda_intel]
Aug 10 02:02:15 flex2 kernel: [ 3.480340] 0000000000000009 ffff8801251abd58 ffffffff8171bcb4 0000000000000000
Aug 10 02:02:15 flex2 kernel: [ 3.481424] snd_hda_intel 0000:00:1b.0: irq 60 for MSI/MSI-X
Aug 10 02:02:15 flex2 kernel: [ 3.482254] ffff8801251abd90 ffffffff810676cd ffff8801251e1d80 0000000000000000
Aug 10 02:02:15 flex2 kernel: [ 3.483579] 0000000000000000 ffff880128d82000 ffff8800cad5e000 ffff8801251abda0
Aug 10 02:02:15 flex2 kernel: [ 3.485647] Call Trace:
Aug 10 02:02:15 flex2 kernel: [ 3.487569] [<ffffffff8171bcb4>] dump_stack+0x45/0x56
Aug 10 02:02:15 flex2 kernel: [ 3.489521] [<ffffffff810676cd>] warn_slowpath_common+0x7d/0xa0
Aug 10 02:02:15 flex2 kernel: [ 3.491136] [<ffffffff810677aa>] warn_slowpath_null+0x1a/0x20
Aug 10 02:02:15 flex2 kernel: [ 3.493198] [<ffffffffa015dfc9>] i915_request_power_well+0x39/0x40 [i915]
Aug 10 02:02:15 flex2 kernel: [ 3.495121] [<ffffffffa03d6e42>] hda_display_power+0x32/0x40 [snd_hda_intel]
Aug 10 02:02:15 flex2 kernel: [ 3.497040] [<ffffffffa03d57b1>] azx_probe_continue+0x41/0x960 [snd_hda_intel]
Aug 10 02:02:15 flex2 kernel: [ 3.498929] [<ffffffff81097508>] ? finish_task_switch+0x128/0x170
Aug 10 02:02:15 flex2 kernel: [ 3.500818] [<ffffffffa03d6bd5>] azx_probe_work+0x15/0x20 [snd_hda_intel]
Aug 10 02:02:15 flex2 kernel: [ 3.502669] [<ffffffff810838f2>] process_one_work+0x182/0x450
Aug 10 02:02:15 flex2 kernel: [ 3.503874] [<ffffffff810846e1>] worker_thread+0x121/0x410
Aug 10 02:02:15 flex2 kernel: [ 3.505455] [<ffffffff810845c0>] ? rescuer_thread+0x430/0x430
Aug 10 02:02:15 flex2 kernel: [ 3.506845] [<ffffffff8108b3d2>] kthread+0xd2/0xf0
Aug 10 02:02:15 flex2 kernel: [ 3.507958] [<ffffffff8108b300>] ? kthread_c...

Read more...

prasanna (vprasanna) wrote :

Encountering the same issue on Lenovo Flex-2 running Ubuntu 14.04 with RTL8723BE PCIe Wireless Network Adapter.

Uname:
Linux lupr 3.13.0-33-generic #58-Ubuntu SMP Tue Jul 29 16:45:05 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Workarounds Tried:
Tried #4 and #38

waldguru (waldguru) wrote :
Download full text (5.4 KiB)

Hello,

I have the same problem on my Lenovo Flex 2-14.

I tried the tip #38 and it seems to be a little more stable. But the drop outs are existent in present and the pingrate to my local router is very slow.

Another problem is that i'm not able to find or connect with another bluetoothdevice with this notebook. I'm not sure if that fact is in relationship with the wifi-problem.

Here are my additional parameters:

uname -a:
Linux Flex-2-14 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

lspci:
00:00.0 Host bridge: Intel Corporation Haswell-ULT DRAM Controller (rev 0b)
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 0b)
00:14.0 USB controller: Intel Corporation Lynx Point-LP USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation Lynx Point-LP HECI #0 (rev 04)
00:1b.0 Audio device: Intel Corporation Lynx Point-LP HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Lynx Point-LP PCI Express Root Port 1 (rev e4)
00:1c.2 PCI bridge: Intel Corporation Lynx Point-LP PCI Express Root Port 3 (rev e4)
00:1c.3 PCI bridge: Intel Corporation Lynx Point-LP PCI Express Root Port 4 (rev e4)
00:1c.4 PCI bridge: Intel Corporation Lynx Point-LP PCI Express Root Port 5 (rev e4)
00:1f.0 ISA bridge: Intel Corporation Lynx Point-LP LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Lynx Point-LP SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation Lynx Point-LP SMBus Controller (rev 04)
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)
04:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 840M] (rev ff)

rfkill list:
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
3: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no

lsmod:
Module Size Used by
ctr 13049 1
ccm 17773 1
bbswitch 13943 0
snd_hda_codec_hdmi 46254 1
snd_hda_codec_realtek 61438 1
hid_multitouch 17407 0
intel_rapl 18773 0
x86_pkg_temp_thermal 14205 0
intel_powerclamp 14705 0
coretemp 13435 0
kvm_intel 143060 0
kvm 451511 1 kvm_intel
crct10dif_pclmul 14289 0
crc32_pclmul 13113 0
snd_hda_intel 52355 5
snd_hda_codec 192906 3 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_intel
ghash_clmulni_intel 13216 0
snd_seq_midi 13324 0
snd_hwdep 13602 1 snd_hda_codec
snd_seq_midi_event 14899 1 snd_seq_midi
snd_rawmidi 30144 1 snd_seq_midi
arc4 12608 2
aesni_intel 55624 2
usbhid 52570 0
hid 106148 2 hid_multitouch,usbhid
aes_x...

Read more...

waldguru (waldguru) wrote :

Hello Again,

are there some news?
In actual i found a acceptable pro-forma solution for the WLAN-problem with my flex 14-2.
At first a look to my trial-history:
I installed the Kernel 3.16 and later the 3.17 RC 4 manually (you can find some tutorials by using google...)
In this two trials I started the rtl8723be-module via
/etc/modprobe.d/rtl8723be.conf
with the following content:

options rtl8723be fwlps=0 swlps=0 ips=0

Subjective considered the drop-down-effect is much more better (no matter with which kernel version) but when i took a ping to my wireless gateway, I have had a packet-loss from round about 20 percent.

After some investigation i found the tip to deactivate my bluetooth-device with

rfkill block bluetooth

(you can put this command to /etc/rc.local to have this state after every reboot)

My actual setup is the kernel 3.17 rc4 with the called module-options. So i have a packet-loss vom 0 to 1 percent. If i will deactivate the module-options i have a packet-loss from round about 10 percent.

This is not a clean solution but it makes the handling with the wireless network much easier in case you don't need the bluetooth-connection.

My actual question is why i cannot use the bluetooth-device successfully. It doesnt matter if WiFi is activated or deactivated. I cannot find another bluetooth-devices and my Flex 14-2 cannot be found by any other bluetooth-device.

Is this problem present by using Windows 8.1? I cannot test it because i erased my Windows-Partition.

I hope i could help someone with my experiences with this topic.

Greetings, waldguru

jhecohe (jhecohe) wrote :
Download full text (3.2 KiB)

hello, i have the same problem on my lenovo yoga 2 no pro model 20344

i installed ubuntu 14.10 daily build

Linux jhecohe3 3.16.0-14-generic #20-Ubuntu SMP Sat Sep 6 23:46:49 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

the manager network show all conections, i can connect by a minute and the connection fall.

Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter
 Subsystem: Lenovo Device b736
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 19
 Region 0: I/O ports at 3000 [size=256]
 Region 2: Memory at b0400000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [40] Power Management version 3
  Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
  Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
  Address: 0000000000000000 Data: 0000
 Capabilities: [70] Express (v2) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <4us, L1 <64us
   ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Exit Latency L0s <512ns, L1 <64us
   ClockPM+ Surprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
  DevCap2: Completion Timeout: Not Supported, TimeoutDis+, LTR+, OBFF Via message/WAKE#
  DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis+, LTR+, OBFF Disabled
  LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-
    Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
    Compliance De-emphasis: -6dB
  LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete-, EqualizationPhase1-
    EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
 Capabilities: [100 v2] Advanced Error Reporting
  UESta: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
  UEMsk: DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
  UESvrt: DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
  CESta: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
  CEMsk: RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
  AERCap: First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
 Capabilities: [140 v1] Device Serial Number 00-23-b7-fe-ff-4c-e0-00
 Capabilities: [150 v1] Latency Tolerance Reporting
  Max snoop latency: 3145728ns
  Max no snoop latency: 3145728ns
 Capabilities: [158 v1] L1 PM Substates
  L1SubCap: PCI-PM_L1.2+ PCI-PM_L1.1+ ASPM_L1.2+ ASPM_L1.1+ L1_PM_Substates+
     PortCom...

Read more...

Paweł Kowalik (pkowalik) wrote :

From https://bugzilla.kernel.org/show_bug.cgi?id=83641#c1

"There is a new version of this driver at GitHub. You will need to have the package with the kernel headers installed.

git clone http://github.com/lwfinger/rtlwifi_new.git
cd rtlwifi_new
make
sudo make install

This version of the driver will be submitted for inclusion in kernel 3.18. I ran it for 39 hours with no disconnects."

Peggys Mouse (peggysmouse) wrote :

That's great news.

Does the git repo below = the package with the kernel headers installed?

I.e. are the instructions below everything I need to do to install on a
stock Ubuntu 14.04 with the 3.13 kernel?

Thanks.

On 14-09-21 03:02 AM, Paweł Kowalik wrote:
> >From https://bugzilla.kernel.org/show_bug.cgi?id=83641#c1
>
> "There is a new version of this driver at GitHub. You will need to have
> the package with the kernel headers installed.
>
> git clone http://github.com/lwfinger/rtlwifi_new.git
> cd rtlwifi_new
> make
> sudo make install
>
> This version of the driver will be submitted for inclusion in kernel
> 3.18. I ran it for 39 hours with no disconnects."
>
> ** Bug watch added: Linux Kernel Bug Tracker #83641
> http://bugzilla.kernel.org/show_bug.cgi?id=83641
>

jhecohe (jhecohe) wrote :

today try again with ubuntu 14.10 amd works great.. :)

Thank you for your efforts..

Linux JacsThree 3.16.0-16-generic #22-Ubuntu SMP Wed Sep 17 18:47:43 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

00:00.0 Host bridge: Intel Corporation Haswell-ULT DRAM Controller (rev 0b)
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
00:03.0 Audio device: Intel Corporation Haswell-ULT HD Audio Controller (rev 0b)
00:14.0 USB controller: Intel Corporation 8 Series USB xHCI HC (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series HECI #0 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series HD Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series PCI Express Root Port 4 (rev e4)
00:1d.0 USB controller: Intel Corporation 8 Series USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation 8 Series LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 8 Series SATA Controller 1 [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series SMBus Controller (rev 04)
01:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter

Sayantan Das (sayantan13) wrote :

I tried that. For kernel 3.13-35 i got a kernel panic.

I tried 3.16 and had to set the following options

options rtl8723be fwlps=0 swlps=0 ips=0
options MSI=1

Regards,

Sayantan Das

----------------------------------
Use Linux. Be free !
http://www.tuxtrix.com

On 21 September 2014 03:02, Paweł Kowalik <email address hidden>
wrote:

> >From https://bugzilla.kernel.org/show_bug.cgi?id=83641#c1
>
> "There is a new version of this driver at GitHub. You will need to have
> the package with the kernel headers installed.
>
> git clone http://github.com/lwfinger/rtlwifi_new.git
> cd rtlwifi_new
> make
> sudo make install
>
> This version of the driver will be submitted for inclusion in kernel
> 3.18. I ran it for 39 hours with no disconnects."
>
> ** Bug watch added: Linux Kernel Bug Tracker #83641
> http://bugzilla.kernel.org/show_bug.cgi?id=83641
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1240940
>
> Title:
> Need support for Realtek Wifi card rtl8723be [10ec:b723]
>
> Status in HWE Next Project:
> Fix Released
> Status in HWE Next trusty series:
> Fix Released
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Trusty:
> Fix Released
>
> Bug description:
> This device is appearing in some OEM machines, but driver is not yet
> available upstream.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1240940/+subscriptions
>

vpena (van-c-pena) wrote :

I also tried kernel 3.13-35 and I got a kernel panic.
I tried solution in #55 and it works perfectly :)

Thanks!

Adrien Monteleone (adrienm) wrote :

Having the same issue on a brand new Lenovo G50 with RealTek 8723be on 12.04.5 & 3.13-35 kernel.

Tried fix in #55 with kernel panic as the result. (locked up system, flashing caps-lock led)

I also can't seem to set options that are honored by the driver via /etc/modprob.d/rtl8723be.conf

Is there is a different location for the .conf file I should be setting those? (I had to create the file as it was, the driver install did not create one)

I'm not particularly interested in moving to 14.04 or 14.10 as this isn't my personal machine with the problem, but can upgrade the kernel if it's supported on lts-trusty. If not, then I'd hope this will work on 14.04 at the least. The owner isn't keen on non-lts releases if they are avoidable.

Thanks in advance for any assistance.

Antonio Tobón (antonio-tobon) wrote :

I found this solution, and worked perfectly on a Lenovo g40-30 so it should work in other lenovo pc...

quote:

for one time test:

    sudo rmmod ideapad_laptop

for working after reboot:

    echo "blacklist ideapad_laptop" | sudo tee -a /etc/modprobe.d/blacklist-ideapad.conf

found it in: http://askubuntu.com/questions/507470/wifi-not-working-on-ubuntu-14-04-lenovo-g-50-30/535976#535976

prior to that I re-installed the module, updated the kernel to 3.16, and none of that worked.

Adrien Monteleone (adrienm) wrote :

@antonio-tobon

Thank you, but unfortunately, following this suggestion immediately locked up the system in a kernel panic.
However, the rtl8723be seemed to work fine after a kernel update a few days later. Perhaps there was a slight bug in the version I downloaded and the one pushed into the Ubuntu repos had it fixed. All is well now.

dpacmittal (dpac-mittal2) wrote :

I have two USB - one is inbuilt my laptop which uses driver rtl8723be, and another netgear USB adapter which uses driver rtl8192cu.
Both of them are dropping the connection.

I tried #55 and now 8192cu doesn't load at all rendering my USB adapter useless. rtl8723be seems to be better. Connection drops have become lesser, although they are still there. And when it happens I can simply disconnect and reconnect to the wifi. No need to unload and reload the driver module.

dpacmittal (dpac-mittal2) wrote :

Sorry, I meant "I have two wifi adapters".

Peggys Mouse (peggysmouse) wrote :

#55 worked for me. Ubuntu 14.04 3.13.0-40-generic. Ran torrents all night which I haven't been able to do with this laptop's internal wifi card.

In case others are confused by the mention in that comment about the kernel headers, I believe you can safely run the following commad to install them:

sudo apt-get install linux-headers-generic

If they are already installed, it won't hurt anything. Then just follow with the rest of the commands in #55.

Upgrade to kernel 3.16 did not do the trick for me. Still only temporary connect.

Peggys Mouse (peggysmouse) wrote :

@paraplegic.racehorse did you also follow the instructions in #55? The fix is not built in to the 3.16 kernel. Instuctions repasted below...

git clone http://github.com/lwfinger/rtlwifi_new.git
cd rtlwifi_new
make
sudo make install

svenmeier (sven-meiers) wrote :

Kernel 3.18 does not seem to include the fix. Instructions ins #55 solved the problem for me on Kernel 3.16 though . Thanks.

svenmeier (sven-meiers) wrote :

After further testing I cannot confirm a fix either by installing kernel 3.18 nor by installing the latest rtlwifi_new as suggested in #55.
After 20 to 30 minutes of surfing the wifi connection is still shown as active in Gnome status, but no data is coming through.

svenmeier (sven-meiers) wrote :

Syslog after connection is lost.

svenmeier (sven-meiers) wrote :

Sorry for the noise, but I have a solution for my system now:

http://ubuntuforums.org/showthread.php?p=13119513#post13119513

Disabling power save together with kernel 3.18 and latest rtlwifi_new works performant and stable on my Lenovo Yoga 2-13.

svenmeier (sven-meiers) wrote :

Argh, on battery power wifi still disconnects after half an hour to an hour stable connection :(.

So regretfully no solution yet.

Adam Lee (adam8157) on 2015-01-04
description: updated
dpacmittal (dpac-mittal2) wrote :

Still no solution yet for me as well. I noticed the disconnections don't happen on a 802.11g network. It happens only on 802.11n networks.

dpacmittal (dpac-mittal2) wrote :

@svenmeier Thanks, I dont have access to an 'n' network for a few days while I'm travelling. I'll update here as soon as I'm able to test it out.

Kroahs (al-khor) wrote :

At the core of 3.16 observed permanent disable wi-fi with a periodicity of around 20 minutes. Put the kernel version 3.18 but there is a bug on it.
Is used to avoid hang tight wi-fi installed on the router __ hidden access point __ and created a new connection in network manager. and if there was a bug (ineternet disappeared) that was enough to reconnect to avoid rebooting the system / process.
Bluetooth natural undetectable in other things, he worked properly and windows7.

Davi Dagostin (zankuro) wrote :

For me, the text "options rtl8723be fwlps=N ips=N" in "/etc/modprobe.d/rtl8723be.conf" fixes the problem.

My Kernel is "3.16.0-30-generic".
My Board is "03:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter".

Peggys Mouse (peggysmouse) wrote :

No solution but here's the workaround that finally worked for me... (Ubuntu 14.014 stock kernel)

Download the latest driver (you might have to install git first):
git clone http://github.com/lwfinger/rtlwifi_new.git

Change into the new directory you just created:
cd rtlwifi_new

Compile and install the new driver:
make
sudo make install

Edit the settings for the driver:
echo "options rtl8723be fwlps=0 swlps=0" | sudo tee /etc/modprobe.d/rtl8723be.conf

It's probably a good idea to take a look at that file to make sure that worked. Some people say the "swlps=0" part of the command above is unnecessary. I'm not sure but it doesn't seem to be hurting anything.

Reboot.

y s (yusuhail) wrote :

Can we try to see why the power save drops the connections?

If I try to log debug messages by

   sudo rmmod rtl8723be
   sudo modprobe rtl8723be debug=5

where will I see the debug log? Can I post it here for people to figure out what's wrong?

Adam Lee (adam8157) wrote :

@"y s", please report a new bug.

y s (yusuhail) wrote :

@Adam, I can open a new bug, but my problem is disconnecting wifi with rtl 8723be on 14.04.02. Wouldn't it be a duplicate?

I am just trying to understand how launchpad works. Or did you mean open a new bug to discuss how to debug the wifi card drivers?

Adam Lee (adam8157) wrote :

@"y s", please check this bug's description, quote here:

====
This bug is only for the initial support of this WiFi adapter, it's not working 100% well yet, please report new "not working bug" or contact upstream but not keep posting comments, thanks.
====

Please report a new bug, launchpad robot will guide you after new bug opened.

yoav (yoav-arad) wrote :

#55 worked for me.

Still problems with Lenovo g50-30. I tried the ubuntu 15.04 live with no luck, still need to blacklist and add the parameters to get the wifi works BUT STILL no bluetooth working.

Tom (tom-reportbug) wrote :

I'm still dropping tons of packets on both 14.04 and 15.04, even with rtlwifi_new and the modprobe options! What else is there to try? I'm this close to chucking the wifi card and replacing it with something atheros.

Jian Wen (wenjianhn) wrote :

Ubuntu 15.04 that is freshly installed works for my Thinkpad E440.

On Tue, May 12, 2015 at 12:18 PM, Thomas <email address hidden> wrote:
> I'm still dropping tons of packets on both 14.04 and 15.04, even with
> rtlwifi_new and the modprobe options! What else is there to try? I'm
> this close to chucking the wifi card and replacing it with something
> atheros.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1240940
>
> Title:
> Need support for Realtek Wifi card rtl8723be [10ec:b723]
>
> Status in HWE Next Project:
> Fix Released
> Status in HWE Next trusty series:
> Fix Released
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Trusty:
> Fix Released
>
> Bug description:
> This device is appearing in some OEM machines, but driver is not yet
> available upstream.
>
> This bug is only for the initial support of this WiFi adapter, it's
> not working 100% well yet, please report new "not working bug" or
> contact upstream but not keep posting comments, thanks.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1240940/+subscriptions

--
Best,

Jian

Peggys Mouse (peggysmouse) wrote :

@Thomas, have you tried editing the driver settings as suggested in #78?

Note: there is a line in that post that got split at modprobe.d. It should read:

Edit the settings for the driver:
echo "options rtl8723be fwlps=0 swlps=0" | sudo tee /etc/modprobe.d/rtl8723be.conf

Peggys Mouse (peggysmouse) wrote :

I see launchpad is determined to split that line. Sorry.

Hi, I tried to follow the steps mentioned in #78, however at the end of all the steps, I don't see rtl8723be.conf under /etc/modprobe.d/. Can somebody please help? Thanks in advance!

Peggys Mouse (peggysmouse) wrote :

The line in #78 that ends with "modprobe." should continue like this:
modprobe.d/rtl8723be.conf

But you can always just create the file and put this in it:
options rtl8723be fwlps=0 swlps=0

Avirup Das (avirup-das) wrote :

Hi all,

I am very new to Linux and facing similar issue with RTL8723BE on HP-15AF006AX.

At first, the system couldn't recognize any Wifi network.

Tried the rtlwifi_new. Now, the wifi does connect, but only withing a range of 1M from router's antenna. The connection drops are very frequent.

Next i have tried to add 'options rtl8723be fwlps=0 swlps=0' to the "/etc/modprobe.d/rtl8723be.conf". No luck. The connection keeps dropping.

I have Ignored the IPv6 settings and checked for the Power Management to be 'Off'.

Are we expecting this bug to be fixed in near future? Else I might have move back to Windows.

Michel-Ekimia (michel.ekimia) wrote :

What kernel do you use ?

Yes realtek driver inclusion in the kernel is a mess

Jelle (jml-3) wrote :

Hi,

I'm experiencing the same issue as @avirup-das. I have the RTL8723BE on my HP Stream 11. I verified the wifi works great in Windows (8) so the internal card is okay.

Using Xubuntu-amd64 15.10 with new installed kernel 4.3.0 (same results as in kernel 4.2.0)

Wifi does work and the laptop connects to the network, but my wireless controller reports a very weak signal from my laptop. Ubuntu also reports a weak signal with connection to the AP. I can only connect to wifi when sitting next to the AP. (All my other devices can connect fine from a certain distance from the AP.)

Signal is stable (very near the AP) when sitting in the same place and there's no interference. Bandwidth/speed is between 1kb/sec and 100kb/sec max.

 # iwlist wlo1 txpower
returns Tx-Power at 20dBm (100mW), so that seems okay.

I've tried;
- Using newest lwfinger git driver: Getting the above results
- With and without the modprobe config options (tried on and off 'ips', 'msi', 'fwlps' and 'swlps'): "msi:Y" results in no connection, msi:N does give above results. No difference setting other options.
- Use ndiswrapper to use Windows drivers for this card: This doesn't change anything to the above.

Marcus (cleric-marcos-g) on 2015-11-09
Changed in linux (Ubuntu Trusty):
assignee: Adam Lee (adam8157) → Marcus (cleric-marcos-g)
Peter Kabiri (peter-kabiri) wrote :

What worked for me was enabling the MSI parameter (message signal interupt). I have a lenovo Z50 laptop. My wifi would work with all wifi laptop manufacturers but i was having a problem with a Lancorm wifi router at a Hotel I once stayed.

what i did was this. I scrowled to the file "sw.c" in the folder

"/home/peter/rtlwifi_new/rtl8723be"

Then in the sw.c file, I added the variable ".msi_support" (which was missing) and initiated it to "false" under the data type "rtl_mod_params rtl8723be_mod_params" i.e

static struct rtl_mod_params rtl8723be_mod_params = {
.sw_crypto = false,
.inactiveps = true,
.swctrl_lps = false,
.fwctrl_lps = true,
.msi_support = false,
};

Since msi_support is by default disabled, we have to appropriately initialize it as disabled(hence false),

I then complied the code, ie

cd rtl8723be
make clean
sudo make install
sudo modprobe rtl8723be

after that I set the msi parameter to 1, in the file "rtl8723be.conf" which can be found under
"/etc/modprobe.d"
i.e
options rtl8723be fwlps=N ips=N swenc=Y msi=1

You may have to reboot the computer and wait after for a couple of minutes after restarting the browser for the msi to be triggered.

This worked for a lenovo z50. Depending on your pc, you may toggle and choose instead an msi of 0

Peter Ludwig (peter-ludwig) wrote :
Download full text (7.8 KiB)

I know this thread is now two years old but the problem with this hardware almost drove me nuts ...

I am here on a HP Pavilion Laptop with beatsaudio. No Model Number - nothing.

The Wifi card is: (in Germany!)

--------------------------------------

 lspci -nn | grep -iA2 net
02:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter [10ec:b723]

--------------------------------------

I am now under kernel:
4.4.0-21-generic

-------------------------------------

Before I tried everything I could find to get my wifi up but I do not even see one spot. So no connection at all. I even cloned git and compiled the driver - which worked fine.

By the way the BT seems to be fine - although I have not checked cause I do not need BT.

---------------------------------------------
Here is what I tried:

rfkill list all; hciconfig -a
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
hci0: Type: BR/EDR Bus: USB
 BD Address: 2C:33:7A:3F:E4:3E ACL MTU: 820:8 SCO MTU: 255:16
 UP RUNNING PSCAN
 RX bytes:1327 acl:0 sco:0 events:139 errors:0
 TX bytes:25058 acl:0 sco:0 commands:139 errors:0
 Features: 0xff 0xff 0xff 0xfe 0xdb 0xff 0x7b 0x87
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF PARK
 Link mode: SLAVE ACCEPT
 Name: 'mint-0'
 Class: 0x740100
 Service Classes: Rendering, Object Transfer, Audio, Telephony
 Device Class: Computer, Uncategorized
 HCI Version: 4.0 (0x6) Revision: 0xe2f
 LMP Version: 4.0 (0x6) Subversion: 0x9f73
 Manufacturer: Realtek Semiconductor Corporation (93)

-------------------------------------

I added the options sugested in rtl8723be.conf

options rtl8723be fwlps=0 swlps=0

But this did not help either.

--------------------------------------

lsmod reports:

rfcomm 69632 12
rtl8723be 139264 0
btcoexist 180224 1 rtl8723be
rtl_pci 40960 1 rtl8723be
rtlwifi 98304 3 btcoexist,rtl_pci,rtl8723be
hp_wmi 16384 0
mac80211 733184 3 rtl_pci,rtlwifi,rtl8723be
sparse_keymap 16384 1 hp_wmi
kvm 532480 0
irqbypass 16384 1 kvm
btusb 45056 0
crct10dif_pclmul 16384 0
btrtl 16384 1 btusb
btbcm 16384 1 btusb
...

-------------------------------------------------------

dmesg | grep rtl reports:

[ 8.982260] Bluetooth: hci0: rtl: examining hci_ver=06 hci_rev=000b lmp_ver=06 lmp_subver=8723
[ 8.982262] Bluetooth: hci0: rtl: loading rtl_bt/rtl8723b_fw.bin
[ 9.064265] rtlwifi: module verification failed: signature and/or required key missing - tainting kernel
[ 9.403770] Using firmware rtlwifi/rtl8723befw.bin
[ 9.404023] rtlwifi: channel plan 0x20
[ 9.404027] rtlwifi: country code 11
[ 9.422483] ieee80211 phy0: Selected rate control algorithm 'rtl_rc'
[ 9.423458] rtlwifi: wireless switch is on

--------------------------------------------------------

modinfo rtl8723be

filename: /lib/modules/4.4.0-21-generic/kernel/drivers/net/wireless/realtek/rtlwifi/rt...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.